SearchType (gCube Species Discovery 3.3.0-SNAPSHOT API)
Date: 2013-07-19

org.gcube.portlets.user.speciesdiscovery.shared

## Enum SearchType

- java.lang.Object
- - java.lang.Enum<SearchType>
  - - org.gcube.portlets.user.speciesdiscovery.shared.SearchType

- All Implemented Interfaces:
    Serializable, Comparable<SearchType>

      public enum SearchType
      extends Enum<SearchType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BY_COMMON_NAME`
    `BY_QUERY`
    `BY_SCIENTIFIC_NAME`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getId()`
    `String` | `getName()`
    `static SearchType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SearchType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BY_SCIENTIFIC_NAME

          public static final SearchType BY_SCIENTIFIC_NAME

    - #### BY_COMMON_NAME

          public static final SearchType BY_COMMON_NAME

    - #### BY_QUERY

          public static final SearchType BY_QUERY

  - ### Method Detail

    - #### values

          public static SearchType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SearchType c : SearchType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SearchType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getId

          public String getId()

    - #### getName

          public String getName()

Copyright © 2013. All Rights Reserved.